summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2010-04-11 10:41:56 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:37:51 +0200
commit40da3c7a015d11ec5db09306d862853f1fc54089 (patch)
treee49247ee4a5bd3bf38bd22fe15fc02758d3524c5
parent1cb5341eafde8c9e29517821bbd610dd3eceb141 (diff)
downloadslackbuilds-40da3c7a015d11ec5db09306d862853f1fc54089.tar.gz
slackbuilds-40da3c7a015d11ec5db09306d862853f1fc54089.tar.xz
development/likepython: Added (modern dialect support for Python)
-rw-r--r--development/likepython/LICENSE24
-rw-r--r--development/likepython/README9
-rw-r--r--development/likepython/likepython.SlackBuild58
-rw-r--r--development/likepython/likepython.info10
-rw-r--r--development/likepython/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/development/likepython/LICENSE b/development/likepython/LICENSE
new file mode 100644
index 0000000000..78173c2d83
--- /dev/null
+++ b/development/likepython/LICENSE
@@ -0,0 +1,24 @@
+MIT License
+Copyright (c) 2010 Jonathan Howard
+
+Permission is hereby granted, free of charge, to any person
+obtaining a copy of this software and associated
+documentation files (the "Software"), to deal in the
+Software without restriction, including without limitation
+the rights to use, copy, modify, merge, publish, distribute,
+sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so,
+subject to the following conditions:
+
+The above copyright notice and this permission notice shall
+be included in all copies or substantial portions of the
+Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
+KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
+WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
+PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
+OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
+OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
+OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
diff --git a/development/likepython/README b/development/likepython/README
new file mode 100644
index 0000000000..28ee38c848
--- /dev/null
+++ b/development/likepython/README
@@ -0,0 +1,9 @@
+Like, Python was created by Jonathan Howard in February
+2010 while drinking and reviewing code for an upcoming
+project with a coworker. At a certain point, higher-level
+explanations devolved into just flat-out reading Python
+code like they were actually speaking the language normally
+- complete with like's, um's, whatever's, etc - making it
+completely impractical^Wawesome for work. It was then that
+Jonathan realized he should perhaps stop for the night.
+And START creating Like, Python.
diff --git a/development/likepython/likepython.SlackBuild b/development/likepython/likepython.SlackBuild
new file mode 100644
index 0000000000..3118187b9f
--- /dev/null
+++ b/development/likepython/likepython.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+# Slackbuild for likepython
+# Written by JK Wood <joshuakwood@gmail.com>
+#
+# SlackBuild is released under the Dog-on-Fire License:
+# If use of the SlackBuild causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested it
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+PRGNAM=likepython
+VERSION=0.1
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM\_$VERSION.tgz -C $PRGNAM-$VERSION|| exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp -a likepython $PKG/usr/bin
+chmod 755 $PKG/usr/bin/likepython
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README hello_world.lp \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/LICENSE > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/likepython/likepython.info b/development/likepython/likepython.info
new file mode 100644
index 0000000000..3d57b90d5a
--- /dev/null
+++ b/development/likepython/likepython.info
@@ -0,0 +1,10 @@
+PRGNAM="likepython"
+VERSION="0.1"
+HOMEPAGE="http://www.staringispolite.com/likepython/"
+DOWNLOAD="http://www.staringispolite.com/likepython/likepython_0.1.tgz"
+MD5SUM="82548013952251724b69e0f346ef41f3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
+APPROVED="dsomero"
diff --git a/development/likepython/slack-desc b/development/likepython/slack-desc
new file mode 100644
index 0000000000..dbdb650871
--- /dev/null
+++ b/development/likepython/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+likepython: likepython (modern dialect support for Python)
+likepython:
+likepython: Like, Python allows the programmer to write Python code in the same
+likepython: way they would read it, including verbal stops and cues.
+likepython: Allows the use of such dialects as Valley Girl, Frat Guy, Internets,
+likepython: Snoop, and Local when coding.
+likepython:
+likepython: Homepage: http://www.staringispolite.com/likepython/
+likepython:
+likepython:
+likepython: